> For the complete documentation index, see [llms.txt](https://docs-v4.venus.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs-v4.venus.io/technical-reference/reference-governance/base-omnichain-controller-src.md).

# BaseOmnichainControllerSrc

## BaseOmnichainControllerSrc

## Solidity API

#### accessControlManager

ACM (Access Control Manager) contract address

```solidity
address accessControlManager
```

***

#### chainIdToMaxDailyLimit

Maximum daily limit for commands from the local chain

```solidity
mapping(uint16 => uint256) chainIdToMaxDailyLimit
```

***

#### chainIdToLast24HourCommandsSent

Total commands transferred within the last 24-hour window from the local chain

```solidity
mapping(uint16 => uint256) chainIdToLast24HourCommandsSent
```

***

#### chainIdToLast24HourWindowStart

Timestamp when the last 24-hour window started from the local chain

```solidity
mapping(uint16 => uint256) chainIdToLast24HourWindowStart
```

***

#### chainIdToLastProposalSentTimestamp

Timestamp when the last proposal sent from the local chain to dest chain

```solidity
mapping(uint16 => uint256) chainIdToLastProposalSentTimestamp
```

***

#### setMaxDailyLimit

Sets the limit of daily (24 Hour) command amount

```solidity
function setMaxDailyLimit(uint16 chainId_, uint256 limit_) external
```

**Parameters**

| Name      | Type    | Description          |
| --------- | ------- | -------------------- |
| chainId\_ | uint16  | Destination chain id |
| limit\_   | uint256 | Number of commands   |

**📅 Events**

* Emits SetMaxDailyLimit with old and new limit and its corresponding chain id

**⛔️ Access Requirements**

* Controlled by AccessControlManager

***

#### pause

Triggers the paused state of the controller

```solidity
function pause() external
```

**⛔️ Access Requirements**

* Controlled by AccessControlManager

***

#### unpause

Triggers the resume state of the controller

```solidity
function unpause() external
```

**⛔️ Access Requirements**

* Controlled by AccessControlManager

***

#### setAccessControlManager

Sets the address of Access Control Manager (ACM)

```solidity
function setAccessControlManager(address accessControlManager_) external
```

**Parameters**

| Name                   | Type    | Description                                   |
| ---------------------- | ------- | --------------------------------------------- |
| accessControlManager\_ | address | The new address of the Access Control Manager |

**📅 Events**

* Emits NewAccessControlManager with old and new access control manager addresses

**⛔️ Access Requirements**

* Only owner

***

#### renounceOwnership

Empty implementation of renounce ownership to avoid any mishap

```solidity
function renounceOwnership() public
```

***


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs-v4.venus.io/technical-reference/reference-governance/base-omnichain-controller-src.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
